BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileEducationHistory Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileEducationHistory:

## Properties
string? | Institute`[get, set]`
string? | Degree`[get, set]`
string? | Field`[get, set]`
string? | Gpa`[get, set]`
string? | Country`[get, set]`
string? | Duration`[get, set]`
string? | Other`[get, set]`
string? | FundName`[get, set]`
int | DurationYear`[get, set]`
DateTime? | FinishDate`[get, set]`
DateTime? | StartDate`[get, set]`
DateTime? | EndDate`[get, set]`
string? | EducationLevel`[get, set]`
Guid? | EducationLevelId`[get, set]`
string? | PositionPath`[get, set]`
Guid? | PositionPathId`[get, set]`
virtual ? ProfileEducation | ProfileEducation`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Country

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Country
| get set

## ◆ Degree

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Degree
| get set

## ◆ Duration

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Duration
| get set

## ◆ DurationYear

int BMA.EHR.Domain.Models.HR.ProfileEducationHistory.DurationYear
| get set

## ◆ EducationLevel

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.EducationLevel
| get set

## ◆ EducationLevelId

Guid? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.EducationLevelId
| get set

## ◆ EndDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.EndDate
| get set

## ◆ Field

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Field
| get set

## ◆ FinishDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.FinishDate
| get set

## ◆ FundName

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.FundName
| get set

## ◆ Gpa

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Gpa
| get set

## ◆ Institute

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Institute
| get set

## ◆ Other

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.Other
| get set

## ◆ PositionPath

string? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.PositionPath
| get set

## ◆ PositionPathId

Guid? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.PositionPathId
| get set

## ◆ ProfileEducation

virtual ? ProfileEducation BMA.EHR.Domain.Models.HR.ProfileEducationHistory.ProfileEducation
| get set

## ◆ StartDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileEducationHistory.StartDate
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileEducationHistory.cs